<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_black"
    android:orientation="vertical"
    tools:context=".screen.login.LoginActivity">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.cardview.widget.CardView
            android:id="@+id/backgroundCard"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            app:cardBackgroundColor="@color/cardview_dark_background"
            app:cardElevation="0dp" />

        <ImageView
            android:id="@+id/backgroundCardWallpaper"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:background="@drawable/default_background" />

        <ImageView
            android:id="@+id/profileImage"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="150dp"
            android:background="@drawable/bg_circle_black"
            android:padding="10dp"
            android:src="@drawable/default_profile" />
    </FrameLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_margin="16dp"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_username"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginBottom="8dp"
                android:gravity="center_vertical"
                android:text="@string/label_username"
                android:textColor="@color/color_white"
                android:textStyle="bold"
                android:visibility="gone" />

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/til_username"
                style="@style/BoxInputLayout"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_below="@id/tv_username"
                app:endIconMode="clear_text"
                app:hintEnabled="false">

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/et_username"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/color_white"
                    android:hint="@string/hint_username"
                    android:inputType="text"
                    android:maxLength="50"
                    android:padding="0dp" />
            </com.google.android.material.textfield.TextInputLayout>

            <TextView
                android:id="@+id/tv_password"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@id/til_username"
                android:layout_marginTop="16dp"
                android:layout_marginBottom="8dp"
                android:gravity="center_vertical"
                android:text="@string/label_password"
                android:textColor="@color/color_white"
                android:textStyle="bold"
                android:visibility="gone" />

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/til_password"
                style="@style/BoxInputLayout"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_below="@id/til_username"
                app:endIconMode="password_toggle"
                app:endIconTint="@color/color_highlight"
                app:hintEnabled="false">

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/et_password"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/color_white"
                    android:hint="@string/hint_password"
                    android:inputType="textPassword"
                    android:maxLength="50"
                    android:padding="0dp" />
            </com.google.android.material.textfield.TextInputLayout>

            <TextView
                android:id="@+id/tv_error"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/til_password"
                android:layout_marginTop="8dp"
                android:gravity="center"
                android:textColor="@color/color_red_800" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btn_login"
                android:layout_width="match_parent"
                android:layout_height="58dp"
                android:layout_below="@id/tv_error"
                android:layout_gravity="center"
                android:layout_marginTop="8dp"
                android:backgroundTint="@color/color_blue_600"
                android:gravity="center"
                android:text="@string/btn_login"
                android:textColor="@color/color_white"
                app:cornerRadius="0dp" />

            <TextView
                android:id="@+id/btn_forgot"
                android:layout_width="match_parent"
                android:layout_height="58dp"
                android:layout_below="@id/btn_login"
                android:layout_gravity="center"
                android:layout_marginTop="8dp"
                android:gravity="center"
                android:text="@string/btn_forgot"
                android:textColor="@color/color_white" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btn_signup"
                android:layout_width="match_parent"
                android:layout_height="58dp"
                android:layout_alignParentBottom="true"
                android:layout_marginTop="8dp"
                android:backgroundTint="@color/color_blue_600"
                android:gravity="center"
                android:text="@string/btn_signup"
                android:textColor="@color/color_white"
                app:cornerRadius="0dp" />
        </RelativeLayout>
    </LinearLayout>


</androidx.appcompat.widget.LinearLayoutCompat>